Retrieve a task run
Retrieve a single task run by its ID.
addObject, deleteIndex, editSettingsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Unique identifier of a task run. Universally unique identifier (UUID) of a task run.
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
Response
OK
Date and time when the resource was created, in RFC 3339 format.
Universally unique identifier (UUID) of a task run.
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
Task run status.
created, started, finished, skipped Universally unique identifier (UUID) of a task.
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
Task run type.
reindex, update, discover, validate, push Maximum accepted percentage of failures for a task run to finish successfully.
0 <= x <= 100Date and time when the task finished, in RFC 3339 format.
Task run outcome.
success, failure More information about the task run's outcome.
A code for the task run's outcome. A readable description of the code is included in the reason response property.
internal, cancelled, critical, no_events, too_many_errors, lacking_events, ok, blocking, idle Date and time when the task started, in RFC 3339 format.